<?php
/**
 * Export Classes
 *
 * This form is for selecting the export format of Scry's voting log.
 *
 * $Horde: scry/lib/Export.php,v 1.7 2005/01/03 14:35:27 jan Exp $
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.7 $
 * @package Scry
 */
class ExportForm extends Horde_Form {

    var $_useFormToken = true;

    function ExportForm(&$vars)
    {
        parent::Horde_Form($vars, _("Export Poll Data"));

        $this->setButtons(_("Export"));

        $this->addHidden('', 'poll_id', 'int', true);
        $this->addVariable(_("Select the export format"), 'format', 'enum', true, false, null, array(array('csv' => 'csv', 'tsv' => 'tsv')));
    }

}
